/// <reference path="../../../../../../../src/@types/@kano/common/index.d.ts" />
import '@kano/styles/typography.js';
import { LitElement } from 'lit-element/lit-element.js';
import { IRemixSuggestion } from '../../../../remix/remix.js';
import { EventEmitter } from '@kano/common/index.js';
import { BriefingFloatingMenu } from '../../briefing/widget/floating-menu.js';
export declare class KCRemixSuggestions extends LitElement {
    suggestions: string[];
    selectedSuggestionIndex: number;
    static readonly styles: import("lit-element").CSSResult[];
    renderSuggestions(): import("lit-element").TemplateResult[];
    render(): import("lit-element").TemplateResult;
    _onClick(index: number): void;
}
export declare class RemixFloatingMenu extends BriefingFloatingMenu {
    protected suggestions: IRemixSuggestion[];
    protected menuNode: KCRemixSuggestions | undefined;
    protected _onDidSelectSuggestion: EventEmitter<IRemixSuggestion>;
    readonly onDidSelectSuggestion: import("@kano/common/index.js").IEvent<IRemixSuggestion>;
    protected _onDidDeselectSuggestion: EventEmitter;
    readonly onDidDeselectSuggestion: import("@kano/common/index.js").IEvent<void>;
    protected _onDidRequestExamples: EventEmitter;
    readonly onDidRequestExamples: import("@kano/common/index.js").IEvent<void>;
    constructor(title: string, suggestions: IRemixSuggestion[], nextChallenge: string | Boolean);
    addEntry(): void;
    deselectSuggestion(): void;
}
